> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overlap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Workflows

> List workflow summaries and retrieve a saved workflow definition

## List Workflows

```http theme={null}
GET https://api.joinoverlap.com/workflows?companyId={companyId}
```

Returns workflow summaries for a company. This list intentionally includes only `id`, `name`, and `description`.

### Authentication

```http theme={null}
Authorization: Bearer YOUR_API_KEY
```

### Query Parameters

| Parameter   | Required | Description                                      |
| ----------- | -------- | ------------------------------------------------ |
| `companyId` | Yes      | Your Overlap company or organization identifier. |

<Info>
  The same lookup is also available at `GET /companies/{companyId}/workflows`.
</Info>

### Response

```json theme={null}
{
  "workflows": [
    {
      "id": "workflow-id",
      "name": "Webinar Clips",
      "description": "Finds and formats highlights from webinar recordings."
    }
  ]
}
```

## Get Workflow

```http theme={null}
GET https://api.joinoverlap.com/workflow?companyId={companyId}&workflowId={workflowId}
```

Returns the saved workflow document, including its nodes and configuration.

### Query Parameters

| Parameter    | Required | Description                                      |
| ------------ | -------- | ------------------------------------------------ |
| `companyId`  | Yes      | Your Overlap company or organization identifier. |
| `workflowId` | Yes      | The saved workflow id.                           |

<Info>
  The same lookup is also available at `GET /companies/{companyId}/workflows/{workflowId}`.
</Info>

### Response

```json theme={null}
{
  "workflow": {
    "id": "workflow-id",
    "name": "Webinar Clips",
    "description": "Finds and formats highlights from webinar recordings.",
    "nodes": [],
    "edges": []
  }
}
```

<RequestExample>
  ```javascript javascript theme={null}
  const listResponse = await fetch(
    `https://api.joinoverlap.com/workflows?companyId=${process.env.OVERLAP_COMPANY_ID}`,
    {
      headers: {
        "Authorization": `Bearer ${process.env.OVERLAP_API_KEY}`
      }
    }
  );

  const workflows = await listResponse.json();
  ```

  ```bash cURL theme={null}
  curl "https://api.joinoverlap.com/workflows?companyId=$OVERLAP_COMPANY_ID" \
       -H "Authorization: Bearer $OVERLAP_API_KEY"

  curl "https://api.joinoverlap.com/workflow?companyId=$OVERLAP_COMPANY_ID&workflowId=$OVERLAP_WORKFLOW_ID" \
       -H "Authorization: Bearer $OVERLAP_API_KEY"
  ```
</RequestExample>
